ruby-gettext (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch 0005-Restore-compatibility-with-Ruby-1.8.patch

 -- Hleb Valoshka <375gnu@gmail.com>  Sun, 13 Apr 2014 22:11:07 +0300

ruby-gettext (3.0.3-2) unstable; urgency=medium

  * Team upload.
  * Stop build-depending in rubygems, since rubygems in now included in
    the supported versions of the Ruby interpreter
  * Refresh patches

 -- Cédric Boutillier <boutil@debian.org>  Thu, 16 Jan 2014 17:38:30 +0100

ruby-gettext (3.0.3-1) unstable; urgency=medium

  * New upstream release (Closes: #726941, #726949).
  * Drop upstreamed patch
    0006-Add-missing-require-in-lib-gettext-tools-xgettext.rb.patch.
  * Bump Standards-Version to 3.9.5 (no changes).
  * Build against gem2deb >= 0.5.0~ to add ruby2.0 and drop ruby1.8 support.

 -- Hleb Valoshka <375gnu@gmail.com>  Thu, 26 Dec 2013 20:40:26 +0300

ruby-gettext (3.0.2-2) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Team upload.
  * Add a patch to fix rxgettext. (Closes: #726797)

  [ Hleb Valoshka ]
  * Remove no more required lintian-overrides.
  * Fix manpage.

 -- Jérémy Bobbio <lunar@debian.org>  Sat, 19 Oct 2013 14:58:05 +0200

ruby-gettext (3.0.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
    + contains fix for crash when LANG or LC_ALL is set to xx_YY.utf8 instead
      of xx_YY.UTF-8 (mainly gdm3 users with old user accounts). Closes: #725496
    + debian/patches/0005-Restore-compatibility-with-Ruby-1.8.patch: refreshed
      against new upstream version
  * force rebuilding lib/gettext/po_parser.rb from source (src/po_parser.ry)
    during build. Build-Depend on racc.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 06 Oct 2013 20:15:21 -0300

ruby-gettext (3.0.0-2) unstable; urgency=low

  * Team upload.
  * Restore compatibility with Ruby 1.8. (Closes: #721574)

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 02 Sep 2013 10:02:41 +0200

ruby-gettext (3.0.0-1) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Team upload.
  * Imported Upstream version 3.0.0:
    - Fix double escapes of '\n' in rgettext. (Closes: #716916)
  * Refresh patches.
  * Update Homepage.
  * Drop support for Ruby 1.8, now unsupported upstream.
  * Adjust Depends and Build-Depends to match new upstream requierements.
  * Ship upstream examples.
  * Update debian/copyright.
  * Add a patch to fix test failures when there's no stdin.

  [ Hleb Valoshka ]
  * Update Vcs-* fields to use anonscm.debian.org.

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 01 Sep 2013 19:09:40 +0200

ruby-gettext (2.3.9-1) unstable; urgency=low

  * Team upload.
  * New upstream release:
    - Depends and Build-Depends on ruby-text instead of ruby-levenshtein.
  * Update debian/copyright after upstream clarifications.
  * Remove transitional packages.
  * Rework debian/patches to properly support upstream Rakefile.
  * Update Build-Depends to properly support upstream Rakefile.
  * Use rake to call upstream test suite.

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 07 May 2013 09:27:09 +0000

ruby-gettext (2.3.8-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * Update debian/copyright.
  * Refresh patches:
    - 0001-Stop-propagating-comments-between-two-strings-in-Rub.patch:
      applied upstream.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 05 Apr 2013 09:05:48 +0000

ruby-gettext (2.3.7-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
    - Refresh patches against new upstream version.
    - Add ruby-levenshtein to Depends and Build-Depends.
    - Implement command-line options for rxgettext to fill in some fields.
      (Closes: #684187)
    - Add a patch to avoid adding test-unit-notify and test-unit-rr as
      Build-Depends.
    - Add ruby-rr directly to Build-Depends as we avoid test-unit-rr.
    - Run tests with UTF-8 as the default external encoding.
    - Update debian/copyright.
    - Add stub manpage for the new rmsginit(1).
    - No need to ship a data/ directory anymore.
  * Add git-buildpackage configuration.
  * Remove obsolete DM-Upload-Allowed field in debian/control.
  * Adjust manpage and description to reflect that rgettext has been renamed to
    rxgettext.
  * Update links in manpages.
  * Install doc/text/news.md as upstream changelog rather than as
    documentation.
  * Remove cruft in debian/rules.
  * Bump Standards-Version to 3.9.4, no changes required.
  * Add a patch to stop comment propagation in Ruby parser. (Closes: #684184)
  * Conflict with the current version of ruby-gettext-activerecord as it needs
    to be updated to cope with the API changes introduced in ruby-gettext 2.3.
  * Mention rmsginit in extended description.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 29 Mar 2013 11:48:29 +0100

ruby-gettext (2.2.1-3) unstable; urgency=low

  [ Cédric Boutillier ]
  * Improve description. Thanks to Justin B. Rye (Closes: #682543)

  [ Hleb Valoshka ]
  * debian/patches
    - 0004-reset-last_comment-when-pomessage-is-stored.patch: rgettext won't
      skip translatable strings containing the hash symbol (Closes: #684182)
    - 0005-process-RubyToken-TkDSTRING-too.patch: rgettext won't copy
      comments for translators to all subsequent messages (Closes: #684184)
  * Fix lintian complaints.
  * Ensure tests are run.

 -- Hleb Valoshka <375gnu@gmail.com>  Wed, 08 Aug 2012 21:42:52 +0300

ruby-gettext (2.2.1-2) unstable; urgency=low

  * Team upload.
  * Bump build dependency on gem2deb to >= 0.3.0~.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 30 Jun 2012 14:39:47 -0300

ruby-gettext (2.2.1-1) unstable; urgency=low

  * New upstream release (Closes: #572250)
  * Switch to gem2deb-based packaging.
    - source and binary packages renamed to ruby-gettext
    - transitional packages added
    - source format changed to 3.0 (quilt)
    - bump Standards-Version to 3.9.3
  * debian/patches
    - (fix_loadpath_mangle): drop, included by upstream
    - (debian-changes-2.1.0-2.1): drop, unneded
    - (0001-proper-require-in-rgettext.patch): proper path
      to gettext/tools/rgettext in bin/rgettext (Closes: #591211)
    - (0002-do-not-require-rubygems-in-tests.patch): don't require
      rubygems in tests

 -- Hleb Valoshka <375gnu@gmail.com>  Sun, 17 Jun 2012 14:24:18 +0300

libgettext-ruby (2.1.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/*.1
    - Fix hyphens.
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): Update to debhelper 7.1.
    - (Homepage): New field.
  * debian/libgettext-ruby1.8.docs, debian/libgettext-ruby1.9.1.docs
    - Remove obsolete ChangeLog-1, the ChangeLog mentioned in Gunnar Wolf
      <gwolf@gwolf.org>'S patch in BTS is already installed by
      dh_installchangelog(1) program. (Closes: #580585).
  * debian/patches
    - (fix_loadpath_mangle): Add description.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 13 May 2010 16:51:50 +0300

libgettext-ruby (2.1.0-2) unstable; urgency=low

  * Fix unexpected $LOAD_PATH mangle (Closes: #577801)
  * Switch to dpkg-source 3.0 (quilt) format
  * One-shot uploader by ISHIKAWA Mutsumi <ishikawa@debian.org>
    (because main uploader Tach is on the VAC) request by Sugi.

 -- Tatsuki Sugiura <sugi@nemui.org>  Thu, 15 Apr 2010 07:59:49 +0900

libgettext-ruby (2.1.0-1.1) unstable; urgency=low

  * Adjust dependencies to allow use of ruby1.8 to provide irb1.8.
    (Closes: #576496)

 -- Jonathan Nieder <jrnieder@gmail.com>  Mon, 05 Apr 2010 01:44:07 -0500

libgettext-ruby (2.1.0-1) unstable; urgency=medium

  * New upstream release (Closes: #569869, #480692, #542925)
  * ruby-pkg-tools transition (Closes: #503163)

 -- Tatsuki Sugiura <sugi@nemui.org>  Thu, 18 Feb 2010 20:36:58 +0900

libgettext-ruby (1.93.0-1) unstable; urgency=low

  * New upstream release includes fix for locale issue
    (Closes: #490571, #506392, #492907)
  * Fix small typo in Depends field (Closes: #487885, #508490);
    Thanks for Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
  * Add Depends to locales package (Closes: #502576)

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed, 18 Feb 2009 14:05:10 +0900

libgettext-ruby (1.91.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed Rails 2.1 compatibility problem (Closes: #503955)

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 30 Oct 2008 10:06:16 -0600

libgettext-ruby (1.91.0-2) unstable; urgency=low

  * support locale aliases (Closes: #492907)

 -- Tatsuki Sugiura <sugi@nemui.org>  Sat, 16 Aug 2008 12:19:37 +0900

libgettext-ruby (1.91.0-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Install ruby1.9 libs in /usr/lib/ruby/1.9.0, not /usr/lib/ruby/1.9.
    Closes: #484619.
  * chmod a-x instead of chmod -x to fix build failure.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 13 Jul 2008 20:55:13 +0200

libgettext-ruby (1.91.0-1) unstable; urgency=low

  * New upstream release (Closes: #481136)

 -- Tatsuki Sugiura <sugi@nemui.org>  Thu, 22 May 2008 18:55:00 +0900

libgettext-ruby (1.90.0-2) unstable; urgency=low

  * apply patch to duplicate object return string (Closes: #473193)
  * add conflicts with apt-listbugs (<= 0.0.86) (Closes: #472580)
  * build under UTF-8 encoding for ruby1.9 (Closes: #470268)
    Thanks: Antonio Terceiro <terceiro@softwarelivre.org>

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon, 31 Mar 2008 03:38:38 +0900

libgettext-ruby (1.90.0-1) unstable; urgency=low

  * New upstream release
  * Change architecture to all
  * fix *.po file encoding in patch (Closes: #328962)

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed, 27 Feb 2008 17:41:01 +0900

libgettext-ruby (1.10.0-2) unstable; urgency=low

  * add conflict with libgettext-ruby1.8 on libgettext-ruby-data
    to avoid install problem.

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue, 13 Nov 2007 19:15:36 +0900

libgettext-ruby (1.10.0-1) unstable; urgency=medium

  * New upstream release
  * Added irb to depends (Closes: #449574)

 -- Tatsuki Sugiura <sugi@nemui.org>  Thu, 25 Oct 2007 04:14:30 +0900

libgettext-ruby (1.9.0-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon, 14 May 2007 03:51:58 +0900

libgettext-ruby (1.7.0-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Sun, 23 Jul 2006 00:08:33 +0900

libgettext-ruby (1.6.0-1) unstable; urgency=low

  * New upstream release
  * apply rails gettext patch

 -- Tatsuki Sugiura <sugi@nemui.org>  Sun, 18 Jun 2006 03:43:27 +0900

libgettext-ruby (1.5.0-1) unstable; urgency=low

  * New upstream release
  * Remove requires rubygem from activerecord support (Closes: #354016)

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed,  7 Jun 2006 09:42:36 +0900

libgettext-ruby (1.1.0-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed,  4 Jan 2006 23:19:30 +0900

libgettext-ruby (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Fri, 28 Oct 2005 15:34:00 +0900

libgettext-ruby (0.9.0-1) unstable; urgency=high

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Sun, 15 May 2005 19:05:10 +0900

libgettext-ruby (0.8.1-2) unstable; urgency=low

  * fix broken dependency of libgettext-ruby1.6 (Closes: #309002)

 -- Tatsuki Sugiura <sugi@nemui.org>  Thu,  7 Apr 2005 19:59:52 +0900

libgettext-ruby (0.8.1-1) unstable; urgency=low

  * New upstream release (Closes: #302582)

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed, 30 Mar 2005 17:35:28 +0900

libgettext-ruby (0.8.0-1) unstable; urgency=high

  * New upstream release
  * fix; install directory (Closes: #279966)

 -- Tatsuki Sugiura <sugi@nemui.org>  Sun,  7 Nov 2004 02:18:45 +0900

libgettext-ruby (0.7.0-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Sat, 30 Oct 2004 15:12:13 +0900

libgettext-ruby (0.6.1-2) unstable; urgency=high

  * fix interpreter dependency for libgettext-ruby-util (Closes: #275716)

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue, 19 Oct 2004 13:30:54 +0900

libgettext-ruby (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Fri, 23 Jul 2004 00:50:28 +0900

libgettext-ruby (0.6.0-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon,  5 Jul 2004 14:07:34 +0900

libgettext-ruby (0.5.5-2) unstable; urgency=low

  * debian/rules has been fiexed for libgettext-ruby-util
    has no *.mo files (Closes: #253710)

 -- Tatsuki Sugiura <sugi@nemui.org>  Fri, 11 Jun 2004 23:59:01 +0900

libgettext-ruby (0.5.5-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue, 25 May 2004 11:06:22 +0900

libgettext-ruby (0.5.4-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon, 23 Feb 2004 22:50:26 +0900

libgettext-ruby (0.5.3-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Thu, 25 Dec 2003 06:31:05 +0900

libgettext-ruby (0.5.1-9) unstable; urgency=low

  * fixed in build-depends; racc has been added; (Closes: #218764)

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue,  4 Nov 2003 14:55:05 +0900

libgettext-ruby (0.5.1-8) unstable; urgency=low

  * fixed in debian/rules; build libgettext-ruby-util in binary-indep target.
    (Closes: #216491)

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon, 20 Oct 2003 16:04:59 +0900

libgettext-ruby (0.5.1-7) unstable; urgency=low

  * Dependency of libgettext-ruby-util has been fixed.

 -- Tatsuki Sugiura <sugi@nemui.org>  Sat, 27 Sep 2003 00:56:18 +0900

libgettext-ruby (0.5.1-6) unstable; urgency=low

  *.mo files has been moved to util package.

 -- Tatsuki Sugiura <sugi@nemui.org>  Sat, 27 Sep 2003 00:54:52 +0900

libgettext-ruby (0.5.1-5) unstable; urgency=low

  * fix in build script; "ruby: command not found" (Closes: #211277)

 -- Tatsuki Sugiura <sugi@nemui.org>  Sun, 21 Sep 2003 00:24:30 +0900

libgettext-ruby (0.5.1-4) unstable; urgency=low

  * install documents and examples in both version.

 -- Tatsuki Sugiura <sugi@nemui.org>  Fri, 12 Sep 2003 10:56:30 +0900

libgettext-ruby (0.5.1-3) unstable; urgency=low

  * upload official debian archive (Closes: #203592)
  * package has been splitted for ruby 1.6 & 1.8

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon,  8 Sep 2003 16:58:32 +0900

libgettext-ruby (0.5.1-2) unstable; urgency=low

  * fix URL in debian/watch
  * add racc to build-depends

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed, 23 Jul 2003 20:19:28 +0900

libgettext-ruby (0.5.1-1) unstable; urgency=low

  * Initial Release.

 -- Tatsuki Sugiura <sugi@nemui.org>  Thu, 17 Jul 2003 03:58:25 +0900

